﻿.mm-menu--theme-light {
    --mm-color-background: var(--remziBeige); 
    --mm-color-border: rgba(230, 230, 230, 0.8);
    --mm-color-icon: rgba(103, 103, 103, 0.7);
    --mm-color-text: var(--remziColorBlack); 
    --mm-color-text-dimmed: rgba(103, 103, 103, 0.8); 
    --mm-color-background-highlight: rgba(143, 29, 52, 0.07); 
    --mm-color-background-emphasis: rgba(248, 248, 248, 0.95); 
    --mm-color-focusring: var(--remziburgundy);
}

.mm-menu--theme-light-contrast {
    --mm-color-background: #fff;
    --mm-color-border: #f5f5f5;
    --mm-color-icon: rgb(0 0 0 / 0.5);
    --mm-color-text: #3e3f42;
    --mm-color-text-dimmed: #162b64;
    --mm-color-background-highlight: rgb(0 0 0 / 0.05);
    --mm-color-background-emphasis: rgb(255 255 255 / 0.9);
    --mm-color-focusring: #06c
}

.mm-menu--theme-dark {
    --mm-color-background: #333;
    --mm-color-border: rgb(0, 0, 0, 0.4);
    --mm-color-icon: rgb(255, 255, 255, 0.4);
    --mm-color-text: #656565;
    --mm-color-text-dimmed: rgb(255, 255, 255, 0.4);
    --mm-color-background-highlight: rgb(255, 255, 255, 0.08);
    --mm-color-background-emphasis: rgb(0, 0, 0, 0.1);
    --mm-color-focusring: #06c
}

.mm-menu--theme-dark-contrast {
    --mm-color-background: #333;
    --mm-color-border: rgb(255 255 255 / 0.5);
    --mm-color-icon: rgb(255 255 255 / 0.5);
    --mm-color-text: #656565;
    --mm-color-text-dimmed: rgb(255 255 255 / 0.7);
    --mm-color-background-highlight: rgb(255 255 255 / 0.1);
    --mm-color-background-emphasis: rgb(0 0 0 / 0.3);
    --mm-color-focusring: #06c
}

.mm-menu--theme-white {
    --mm-color-background: #fff;
    --mm-color-border: rgb(0 0 0 / 0.15);
    --mm-color-icon: rgb(0 0 0 / 0.3);
    --mm-color-text: #656565;
    --mm-color-text-dimmed: rgb(0 0 0 / 0.3);
    --mm-color-background-highlight: rgb(0 0 0 / 0.06);
    --mm-color-background-emphasis: rgb(0 0 0 / 0.03);
    --mm-color-focusring: #06c
}

.mm-menu--theme-white-contrast {
    --mm-color-background: #fff;
    --mm-color-border: rgb(0 0 0 / 0.5);
    --mm-color-icon: rgb(0 0 0 / 0.5);
    --mm-color-text: #000;
    --mm-color-text-dimmed: rgb(0 0 0 / 0.7);
    --mm-color-background-highlight: rgb(0 0 0 / 0.07);
    --mm-color-background-emphasis: rgb(0 0 0 / 0.035);
    --mm-color-focusring: #06c
}

.mm-menu--theme-black {
    --mm-color-background: #000;
    --mm-color-border: rgb(255 255 255 / 0.2);
    --mm-color-icon: rgb(255 255 255 / 0.4);
    --mm-color-text: rgb(255 255 255 / 0.7);
    --mm-color-text-dimmed: rgb(255 255 255 / 0.4);
    --mm-color-background-highlight: rgb(255 255 255 / 0.1);
    --mm-color-background-emphasis: rgb(255 255 255 / 0.06);
    --mm-color-focusring: #06c
}

.mm-menu--theme-black-contrast {
    --mm-color-background: #000;
    --mm-color-border: rgb(255 255 255 / 0.5);
    --mm-color-icon: rgb(255 255 255 / 0.5);
    --mm-color-text: #fff;
    --mm-color-text-dimmed: rgb(255 255 255 / 0.6);
    --mm-color-background-highlight: rgb(255 255 255 / 0.125);
    --mm-color-background-emphasis: rgb(255 255 255 / 0.1);
    --mm-color-focusring: #06c
}
